Name:		curlftpfs
Version:	0.9.2
Release:	%mkrel 12
Url:		http://curlftpfs.sourceforge.net/
Summary:	Filesystem for accessing FTP hosts based on FUSE and libcurl
License:	GPL+
Group:		Networking/Other
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(fuse)
BuildRequires:	glib2-devel
Requires:	fuse
Source:		http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:		curlftpfs-0.9.2-automake-1.13.patch
Patch1:		curlftpfs-0.9.2-ftpfs.patch

%description
CurlFtpFS is a filesystem for accessing FTP hosts based on FUSE and libcurl.

CurlFtpFS differentiates itself from other FTP filesystems because it
features:

    * SSLv3 and TLSv1 support
    * connecting through tunneling HTTP proxies
    * automatically reconnection if the server times out
    * transform absolute symlinks to point back into the ftp file system

%prep
%setup -q
%patch0 -p1
%patch1 -p0

%build
autoreconf -fi
%configure
%make

%install
%make_install

%files
%doc COPYING README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}*


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 0.9.2-12.mga8
+ Revision: 1511801
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.9.2-11.mga7
+ Revision: 1297375
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.9.2-10.mga6
+ Revision: 939722
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.2-9.mga5
+ Revision: 743987
- Second Mageia 5 Mass Rebuild

* Mon Sep 22 2014 dtux <dtux> 0.9.2-8.mga5
+ Revision: 716718
- Fix: patch for ssl connection without verifying hostname certificat

* Tue Sep 16 2014 umeabot <umeabot> 0.9.2-7.mga5
+ Revision: 678640
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.9.2-6.mga4
+ Revision: 503665
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.9.2-5.mga3
+ Revision: 348496
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 fwang <fwang> 0.9.2-4.mga3
+ Revision: 338031
- fix build with automake 1.13

* Fri Apr 08 2011 ennael <ennael> 0.9.2-4.mga1
+ Revision: 82136
- clean spec file
- imported package curlftpfs


* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9.2-4mdv2011.0
+ Revision: 617482
- the mass rebuild of 2010.0 packages

* Wed Oct 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.2-3mdv2010.0
+ Revision: 455796
- rebuild for new curl SSL backend

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 0.9.2-2mdv2010.0
+ Revision: 437167
- rebuild

* Wed Mar 18 2009 Funda Wang <fwang@mandriva.org> 0.9.2-1mdv2009.1
+ Revision: 357158
- New version 0.9.2

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 0.9.1-3mdv2008.1
+ Revision: 170791
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Nicolas Vigier <nvigier@mandriva.com>
    - update license tag

* Sat Jul 07 2007 Nicolas Vigier <nvigier@mandriva.com> 0.9.1-2mdv2008.0
+ Revision: 49359
- add require on fuse (fix bug #31788)

* Wed May 23 2007 Nicolas Vigier <nvigier@mandriva.com> 0.9.1-1mdv2008.0
+ Revision: 30027
- Import curlftpfs

